## Centos 7 only
Name:           kloxo-openssl
Epoch:          1
Version:        1.1.1e
Release:        1%{?dist}
Summary:        Utilities from the general purpose cryptography library with TLS implementation
Group:          Applications/System
License:        GPL
URL:            http://www.openssl.org/
%undefine       _disable_source_fetch
Source0:        https://www.openssl.org/source/openssl-%{version}.tar.gz
#Source1:        https://www.openssl.org/source/openssl-%%{version}.tar.gz.asc
Packager: 	    VU DUY HOANG
BuildRequires:  zlib-devel
BuildRequires:  perl
Provides:   openssl = 1:%{version}
#Obsoletes: openssl
#Obsoletes: openssl-devel
%define debug_package %nil
%description
The OpenSSL toolkit provides support for secure communications between
machines. OpenSSL includes a certificate management tool and shared
libraries which provide various cryptographic algorithms and
protocols.

%prep
#gpg --verify "%SOURCE1"
%setup -q -n openssl-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./config --prefix=%{_prefix}/local/openssl --openssldir=%{_prefix}/local/openssl/ssl shared zlib

make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p %{buildroot}/usr/local/bin
mkdir -p %{buildroot}/etc/ld.so.conf.d/
cd %{buildroot}/usr/local/bin/
ln -s ../openssl/bin/openssl

echo "/usr/local/openssl/lib" > %{buildroot}/etc/ld.so.conf.d/openssl.conf

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%doc ACKNOWLEDGEMENTS AUTHORS CHANGES CONTRIBUTING FAQ NEWS README
%license LICENSE
/usr/local/openssl/*
/usr/local/bin/openssl
/etc/ld.so.conf.d/openssl.conf